<?php
/**
 * @file
 *
 * Events.
 */

/**
 * Events table.
 */
function spider_fc_manage_events() {
  $form = array();
  if (isset($_GET['cal_id'])) {
    $calendar_id = check_plain($_GET['cal_id']);
  }
  $cal_name = db_result(db_query("SELECT title FROM {spider_fc_calendar_table} WHERE id='%d'", $calendar_id));
  $form['fieldset_event_buttons'] = array(
    '#type' => 'fieldset',
  );
  $form['fieldset_event_buttons']['publish_event'] = array(
    '#type' => 'submit',
    '#submit' => array('spider_fc_publish_events'),
    '#value' => t('Publish'),
  );
  $form['fieldset_event_buttons']['unpublish_event'] = array(
    '#type' => 'submit',
    '#submit' => array('spider_fc_unpublish_events'),
    '#value' => t('Unpublish'),
  );
  $form['fieldset_event_buttons']['delete_event'] = array(
    '#type' => 'submit',
    '#submit' => array('spider_fc_delete_selected_events'),
    '#value' => t('Delete'),
    '#attributes' => array('onclick' => 'if (!confirm(Drupal.t("Do you want to delete selected events?"))) {return false;}'),
  );
  $form['fieldset_event_buttons']['event_table_cancel'] = array(
    '#type' => 'submit',
    '#submit' => array('spider_fc_manage_events_cancel'),
    '#value' => t('Cancel'),
    '#suffix' => l(t('New'), url('admin/settings/spider_fc/calendar/manage_events/new', array('query' => 'cal_id=' . $calendar_id, 'absolute' => TRUE))),
  );
  $form['fieldset_search_event_date'] = array(
    '#type' => 'fieldset',
  );
  $form['fieldset_search_event_date']['search_event_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Search events by title'),
    '#size' => 25,
    '#default_value' => variable_get('spider_fc_search_event_title', ''),
  );
  $form['fieldset_search_event_date']['search_event_date_button'] = array(
    '#type' => 'submit',
    '#submit' => array('spider_fc_event_seach'),
    '#value' => t('Go'),
  );
  $form['fieldset_search_event_date']['reset_event_date_button'] = array(
    '#type' => 'submit',
    '#value' => t('Reset'),
    '#submit' => array('spider_fc_event_reset'),
  );
  $header = array(
    theme('table_select_header_cell'),
    array(
      'data' => t('ID'),
      'field' => 'id',
      'sort' => 'asc',
    ),
    array(
      'data' => t('Title'),
      'field' => 'title',
    ),
    array(
      'data' => t('Date'),
      'field' => 'date_begin',
    ),
    array(
      'data' => t('Time'),
      'field' => 'event_time_begin',
    ),
    array(
      'data' => t('Published'),
    ),
    array(
      'data' => t('Delete'),
    ),
  );
  $res = pager_query("SELECT id,title,date_begin,date_end,event_time_begin,published FROM {spider_fc_events_table} WHERE calendar='" . $calendar_id . "' AND title LIKE '%%" . variable_get('spider_fc_search_event_title', '') . "%%'" . tablesort_sql($header), $limit = 20);
  $options = array();
  while ($row = db_fetch_array($res)) {
    $event_id = $row['id'];
    if ((int)$row['published'] == 1) {
      $publish_unpublish_png = 'publish.png';
      $publish_unpublish_function = 'unpublish';
    }
    else {
      $publish_unpublish_png = 'unpublish.png';
      $publish_unpublish_function = 'publish';
    }
    $date = $row['date_begin'] . (($row['date_end'] == '') ? '' : ' - ' . $row['date_end']);
    $checkbox = array(
      '#type' => 'checkbox',
      '#id' => 'checkbox' . $event_id,
      '#name' => 'checkbox' . $event_id,
    );
    $options[] = array(
      'checkboxes' => drupal_render($checkbox),
      'id' => $event_id,
      'title' => l($row['title'], url('admin/settings/spider_fc/calendar/manage_events/new', array('query' => 'cal_id=' . $calendar_id . '&event_id=' . $event_id, 'absolute' => TRUE))),
      'date' => $date,
      'time' => $row['event_time_begin'],
      'published' => '<a href="' . url('admin/settings/spider_fc/calendar/manage_events/' . $publish_unpublish_function, array('query' => 'cal_id=' . $calendar_id . '&event_id=' . $event_id, 'absolute' => TRUE)) . '"><img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/' . $publish_unpublish_png . '" /></a>',
      'delete' => l(t('Delete'), url('admin/settings/spider_fc/calendar/manage_events/delete', array('query' => 'cal_id=' . $calendar_id . '&event_id=' . $event_id, 'absolute' => TRUE))),
    );
  }
  $form['fieldset_events'] = array(
    '#type' => 'fieldset',
    '#title' => $cal_name . ' ' . t('Calendar Events'),
    '#value' => theme('table', $header, $options) . theme('pager'),
  );
  return $form;
}

/**
 * Search in events.
 */
function spider_fc_event_seach($form, &$form_state) {
  if (isset($_GET['cal_id'])) {
    $calendar_id = check_plain($_GET['cal_id']);
  }
  if ($form_state['values']['search_event_title'] != '') {
    variable_set('spider_fc_search_event_title', $form_state['values']['search_event_title']);
  }
  else {
    variable_set('spider_fc_search_event_title', '');
  }
  $form_state['redirect'] = url('admin/settings/spider_fc/calendar/manage_events', array('query' => 'cal_id=' . $calendar_id, 'absolute' => TRUE));
}

/**
 * Reset events.
 */
function spider_fc_event_reset($form, &$form_state) {
  if (isset($_GET['cal_id'])) {
    $calendar_id = check_plain($_GET['cal_id']);
  }
  variable_set('spider_fc_search_event_title', '');
  $form_state['redirect'] = url('admin/settings/spider_fc/calendar/manage_events', array('query' => 'cal_id=' . $calendar_id, 'absolute' => TRUE));
}

/**
 * Publish selected events.
 */
function spider_fc_publish_events($form, &$form_state) {
  if (db_query("SELECT id FROM {spider_fc_events_table}")) {
    $result = db_query("SELECT id FROM {spider_fc_events_table}");
    $events_id_col = array();
    while ($a = db_fetch_array($result)) {
      $events_id_col[] = $a['id'];
    }
    $flag = FALSE;
    foreach ($events_id_col as $event_id) {
      if (isset($_POST['checkbox' . $event_id])) {
        $flag = TRUE;
        db_query("UPDATE {spider_fc_events_table} SET published='%d' WHERE id='%d'", 1, $event_id);
      }
    }
    if ($flag == FALSE) {
      drupal_set_message(t('You must check an event.'), 'warning', FALSE);
    }
  }
  if (isset($_GET['cal_id'])) {
    $calendar_id = check_plain($_GET['cal_id']);
  }
  $form_state['redirect'] = url('admin/settings/spider_fc/calendar/manage_events', array('query' => 'cal_id=' . $calendar_id, 'absolute' => TRUE));
}

/**
 * Publish event.
 */
function spider_fc_manage_events_publish() {
  if (isset($_GET['cal_id'])) {
    $cal_id = check_plain($_GET['cal_id']);
  }
  if (isset($_GET['event_id'])) {
    $event_id = check_plain($_GET['event_id']);
  }
  db_query("UPDATE {spider_fc_events_table} SET published='%d' WHERE id='%d'", 1, $event_id);
  drupal_goto(url('admin/settings/spider_fc/calendar/manage_events', array('query' => 'cal_id=' . $cal_id, 'absolute' => TRUE)));
}

/**
 * Unpublish selected events.
 */
function spider_fc_unpublish_events($form, &$form_state) {
  if (db_query("SELECT id FROM {spider_fc_events_table}")) {
    $result = db_query("SELECT id FROM {spider_fc_events_table}");
    $events_id_col = array();
    while ($a = db_fetch_array($result)) {
      $events_id_col[] = $a['id'];
    }
    $flag = FALSE;
    foreach ($events_id_col as $event_id) {
      if (isset($_POST['checkbox' . $event_id])) {
        $flag = TRUE;
        db_query("UPDATE {spider_fc_events_table} SET published='%d' WHERE id='%d'", 0, $event_id);
      }
    }
    if ($flag == FALSE) {
      drupal_set_message(t('You must check an event.'), 'warning', FALSE);
    }
  }
  if (isset($_GET['cal_id'])) {
    $calendar_id = check_plain($_GET['cal_id']);
  }
  $form_state['redirect'] = url('admin/settings/spider_fc/calendar/manage_events', array('query' => 'cal_id=' . $calendar_id, 'absolute' => TRUE));
}

/**
 * Unpublish event.
 */
function spider_fc_manage_events_unpublish() {
  if (isset($_GET['cal_id'])) {
    $cal_id = check_plain($_GET['cal_id']);
  }
  if (isset($_GET['event_id'])) {
    $event_id = check_plain($_GET['event_id']);
  }
  db_query("UPDATE {spider_fc_events_table} SET published='%d' WHERE id='%d'", 0, $event_id);
  drupal_goto(url('admin/settings/spider_fc/calendar/manage_events', array('query' => 'cal_id=' . $cal_id, 'absolute' => TRUE)));
}

/**
 * Delete selected events.
 */
function spider_fc_delete_selected_events($form, &$form_state) {
  if (db_query("SELECT id FROM {spider_fc_events_table}")) {
    $result = db_query("SELECT id FROM {spider_fc_events_table}");
    $events_id_col = array();
    while ($a = db_fetch_array($result)) {
      $events_id_col[] = $a['id'];
    }
    $flag = FALSE;
    foreach ($events_id_col as $event_id) {
      if (isset($_POST['checkbox' . $event_id])) {
        $flag = TRUE;
        db_query("DELETE FROM {spider_fc_events_table} WHERE id='%d'", $event_id);
        drupal_set_message(t('Selected events successfully deleted.'), 'status', FALSE);
      }
    }
    if ($flag == FALSE) {
      drupal_set_message(t('You must check an event.'), 'warning', FALSE);
    }
  }
  if (isset($_GET['cal_id'])) {
    $calendar_id = check_plain($_GET['cal_id']);
  }
  $form_state['redirect'] = url('admin/settings/spider_fc/calendar/manage_events', array('query' => 'cal_id=' . $calendar_id, 'absolute' => TRUE));
}

/**
 * Delete event.
 */
function spider_fc_manage_events_delete($form, &$form_state) {
  if (isset($_GET['cal_id'])) {
    $cal_id = check_plain($_GET['cal_id']);
  }
  if (isset($_GET['event_id'])) {
    $event_id = check_plain($_GET['event_id']);
  }
  db_query("DELETE FROM {spider_fc_events_table} WHERE id='%d'", $event_id);
  drupal_goto(url('admin/settings/spider_fc/calendar/manage_events', array('query' => 'cal_id=' . $cal_id, 'absolute' => TRUE)));
  drupal_set_message(t('Event successfully deleted.'), 'status', FALSE);
}

/**
 * Cancel Manage events.
 */
function spider_fc_manage_events_cancel($form, &$form_state) {
  if (isset($_GET['cal_id'])) {
    $calendar_id = check_plain($_GET['cal_id']);
  }
  $form_state['redirect'] = url('admin/settings/spider_fc', array('query' => 'cal_id=' . $calendar_id, 'absolute' => TRUE));
}

/**
 * Add or edit event.
 */
function spider_fc_manage_events_new() {
  drupal_add_js(array(
    'spider_fc' => array(
      'delete_png_url' => base_path() . drupal_get_path('module', 'spider_fc') . '/images/',
    ),
    ),
    'setting');
  if (isset($_GET['cal_id'])) {
    $cal_id = check_plain($_GET['cal_id']);
    $cal_name = db_result(db_query("SELECT title FROM {spider_fc_calendar_table} WHERE id='%d'", $cal_id));
  }
  else {
    $cal_id = 1;
    $cal_name = '';
  }
  if (isset($_GET['event_id'])) {
    $event_id = check_plain($_GET['event_id']);
  }
  if (isset($_GET['event_id'])) {
    $value = db_query("SELECT * FROM {spider_fc_events_table} WHERE id='%d'", $event_id);
    $event_row = db_fetch_array($value);
    if ($event_row) {
      $event_title = $event_row['title'];
      $event_date_start = $event_row['date_begin'];
      $event_date_end = $event_row['date_end'];
      $time_event = $event_row['event_time_begin'];
      $time_event1 = drupal_substr($time_event, 0, 2);
      $time_event2 = drupal_substr($time_event, 3, 2);
      $time_event3 = drupal_substr($time_event, 6, 2);
      $time_event4 = drupal_substr($time_event, 9, 2);
      $item_array = explode('#*type*#', $event_row['items']);
      unset($item_array[0]);
      $i = 0;
      if ($event_row['items'] != '') {
        $show_items = '<strong>' . t('Uploaded files') . '</strong>
                       <div id="viewUploadsDiv">';
      }
      else {
        $show_items = '<div id="viewUploadsDiv">';
      }
      foreach ($item_array as $item) {
        $image_array_example = explode('#*img*#', $item);
        if ($image_array_example[0] == '') {
          $show_items .= '<div id="imguploaded_id_' . $i . '">' . $image_array_example[1] . '
                            <img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/delete.png" style="cursor: pointer;" onclick=spider_fc_delete_file("img","' . $i . '")>
                            <img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/up.png" style="cursor: pointer;" onclick=spider_fc_up_file("imguploaded_id_' . $i . '")>
                            <img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/down.png" style="cursor: pointer;" onclick=spider_fc_down_file("imguploaded_id_' . $i . '")>
                            <input type="hidden" name="delete_img_' . $i . '" value="#*type*##*img*#' . $image_array_example[1] . '" >
                          </div>';
        }
        $video_array_example = explode('#*vidHttp*#', $item);
        if ($video_array_example[0] == '') {
          $show_items .= '<div id="videouploaded_id_' . $i . '">' . $video_array_example[1] . '
                            <img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/delete.png" style="cursor: pointer;" onclick=spider_fc_delete_file("vidHttp","' . $i . '")>
                            <img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/up.png" style="cursor: pointer;" onclick=spider_fc_up_file("videouploaded_id_' . $i . '")>
                            <img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/down.png" style="cursor: pointer;" onclick=spider_fc_down_file("videouploaded_id_' . $i . '")>
                            <input type="hidden" name="delete_vidHttp_' . $i . '" value="#*type*##*vidHttp*#' . $video_array_example[1] . '" >
                          </div>';
        }
        $videoyoutube_array_example = explode('#*vidYoutube*#', $item);
        if ($videoyoutube_array_example[0] == '') {
          $show_items .= '<div id="youtubeuploaded_id_' . $i . '">' . $videoyoutube_array_example[1] . '
                            <img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/delete.png" style="cursor: pointer;" onclick=spider_fc_delete_file("vidYoutube","' . $i . '")>
                            <img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/up.png" style="cursor: pointer;" onclick=spider_fc_up_file("youtubeuploaded_id_' . $i . '")>
                            <img src="' . base_path() . drupal_get_path('module', 'spider_fc') . '/images/down.png" style="cursor: pointer;" onclick=spider_fc_down_file("youtubeuploaded_id_' . $i . '")>
                            <input type="hidden" name="delete_vidYoutube_' . $i . '" value="#*type*##*vidYoutube*#' . $videoyoutube_array_example[1] . '" >
                          </div>';
        }
        ++$i;
      }
      $show_items .= '</div>';
      $text_event = $event_row['text'];
      $html_event = $event_row['html'];
      $css_event = $event_row['css'];
      $content_id = $event_row['content_id'];
      $checked = $event_row['checked'];
      $type_event = $event_row['event_type'];
      $priority_event = $event_row['priority'];
      $published_event = $event_row['published'];
    }
  }
  else {
    $event_title = '';
    $event_date_start = '';
    $event_date_end = '';
    $time_event1 = '';
    $time_event2 = '';
    $time_event3 = '';
    $time_event4 = '';
    $show_items = '';
    $text_event = '';
    $html_event = '';
    $css_event = '';
    $content_id = 0;
    $checked = 'text';
    $type_event = '';
    $priority_event = '';
    $published_event = 1;
  }
  drupal_add_css(drupal_get_path('module', 'spider_fc') . '/css/spider_fc_event_filedset.css');
  drupal_add_css(drupal_get_path('module', 'spider_fc') . '/css/spider_fc_cal.css');
  drupal_add_js(drupal_get_path('module', 'spider_fc') . '/js/spider_fc_cal.js');
  drupal_add_js(drupal_get_path('module', 'spider_fc') . '/js/spider_fc_check_hour.js');
  drupal_add_js(drupal_get_path('module', 'spider_fc') . '/js/spider_fc_attach_file.js');
  drupal_add_js(drupal_get_path('module', 'spider_fc') . '/js/spider_fc_text_html_content.js');

  $form = array();
  $form['event'] = array(
    '#type' => 'fieldset',
    '#title' => $cal_name . ' ' . t('Calendar Event'),
    '#attributes' => array('class' => 'spider_fc_event_filedset'),
  );
  $form['event']['event_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Title'),
    '#required' => TRUE,
    '#default_value' => $event_title,
    '#size' => 10,
  );
  $form['event']['event_date_start'] = array(
    '#type' => 'textfield',
    '#title' => t('Date start'),
    '#default_value' => $event_date_start,
    '#size' => 15,
    '#attributes' => array(
      'id' => 'event_date_start',
      'name' => 'event_date_start',
    ),
  );
  $form['event']['event_date_start_button'] = array(
    '#type' => 'submit',
    '#value' => t('...'),
    '#attributes' => array(
      'onclick' => 'return showCalendar("edit-event-date-start","%Y-%m-%d");',
      'class' => 'event_date_button',
    ),
  );
  $form['event']['event_date_end'] = array(
    '#type' => 'textfield',
    '#title' => t('Date end'),
    '#default_value' => $event_date_end,
    '#size' => 15,
    '#attributes' => array(
      'id' => 'event_date_end',
      'name' => 'event_date_end',
    ),
  );
  $form['event']['event_date_end_button'] = array(
    '#type' => 'submit',
    '#value' => t('...'),
    '#attributes' => array(
      'onclick' => 'return showCalendar("edit-event-date-end","%Y-%m-%d");',
      'class' => 'event_date_button',
    ),
  );
  $form['event']['event_time_begin_minute'] = array(
    '#type' => 'textfield',
    '#title' => t('Time'),
    '#default_value' => $time_event1,
    '#size' => 2,
    '#attributes' => array(
      'onkeypress' => 'return spider_fc_checkhour("time_event1")',
      'onblur' => 'spider_fc_add_0("time_event1")',
    ),
    '#id' => 'time_event1',
    '#suffix' => ' : ',
  );
  $form['event']['event_time_begin_second'] = array(
    '#type' => 'textfield',
    '#default_value' => $time_event2,
    '#size' => 2,
    '#attributes' => array(
      'onkeypress' => 'return spider_fc_checkminute("time_event2")',
      'onblur' => 'spider_fc_add_0("time_event2")',
    ),
    '#id' => 'time_event2',
    '#suffix' => ' - ',
  );
  $form['event']['event_time_end_minute'] = array(
    '#type' => 'textfield',
    '#default_value' => $time_event3,
    '#size' => 2,
    '#attributes' => array(
      'onkeypress' => 'return spider_fc_checkhour("time_event3")',
      'onblur' => 'spider_fc_add_0("time_event3")',
    ),
    '#id' => 'time_event3',
    '#suffix' => ' : ',
  );
  $form['event']['event_time_end_second'] = array(
    '#type' => 'textfield',
    '#default_value' => $time_event4,
    '#size' => 2,
    '#attributes' => array(
      'onkeypress' => 'return spider_fc_checkminute("time_event4")',
      'onblur' => 'spider_fc_add_0("time_event4")',
    ),
    '#id' => 'time_event4',
    '#suffix' => '<br /><br />' . $show_items . '
                  <div id="input_file_container"></div><br />
                  <input type="button" value="' . t('Add Image') . '" onclick="spider_fc_add_upload_box();" class="form-submit"></input>
                  <input type="button" value="' . t('Add Video') . '" onclick="spider_fc_add_upload_video_box();" class="form-submit"></input>
                  <input type="button" value="' . t('Add Video from YouTube') . '" onclick="spider_fc_add_youtube_video_box();" class="form-submit"></input>
                  <br /><br />',
  );
  $form['#attributes'] = array('enctype' => 'multipart/form-data');
  if (file_exists("sites/all/libraries/tinymce/jscripts/tiny_mce/tiny_mce.js")) {
    drupal_add_js('sites/all/libraries/tinymce/jscripts/tiny_mce/tiny_mce.js');
    drupal_add_js('tinyMCE.init({
				// General options
        mode : "specific_textareas",
        editor_selector : "spider_fc_editor",
				theme : "advanced",
				plugins : "autolink,lists,spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",
				// Theme options
				theme_advanced_buttons1 : "save,newdocument,|,bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,|,styleselect,formatselect,fontselect,fontsizeselect",
				theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,anchor,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
				theme_advanced_buttons3 : "tablecontrols,|,hr,removeformat,visualaid,|,sub,sup,|,charmap,emotions,iespell,media,advhr,|,print,|,ltr,rtl,|,fullscreen",
				theme_advanced_buttons4 : "insertlayer,moveforward,movebackward,absolute,|,styleprops,spellchecker,|,cite,abbr,acronym,del,ins,attribs,|,visualchars,nonbreaking,template,blockquote,pagebreak,|,insertfile,insertimage",
				theme_advanced_toolbar_location : "top",
				theme_advanced_toolbar_align : "left",
				theme_advanced_statusbar_location : "bottom",
				theme_advanced_resizing : true,

				// Skin options
				skin : "o2k7",
				skin_variant : "silver",

				// Example content CSS (should be your site CSS)
				//content_css : "css/example.css",
				
				// Drop lists for link/image/media/template dialogs
				template_external_list_url : "js/template_list.js",
				external_link_list_url : "js/link_list.js",
				external_image_list_url : "js/image_list.js",
				media_external_list_url : "js/media_list.js",

				// Replace values for the template plugin
				template_replace_values : {
					username : "Some User",
					staffid : "991234"
				}
			});', 'inline', 'footer');
  }
  drupal_add_js('spider_fc_check_first("' . $checked . '")', 'inline', 'footer');
  $form['event']['checked_hidden_field'] = array(
    '#type' => 'hidden',
    '#default_value' => $checked,
    '#attributes' => array('id' => 'checked_hidden_field'),
  );
  // Radio buttons.
  $form['event']['text'] = array(
    '#type' => 'radio',
    '#title' => t('Text'),
    '#title_display' => 'after',
    '#attributes' => array(
      'onclick' => 'spider_fc_change_event_content_type("text")',
    ),
    '#name' => 'text_html_content',
  );
  $form['event']['html'] = array(
    '#type' => 'radio',
    '#title' => t('HTML'),
    '#title_display' => 'after',
    '#attributes' => array(
      'onclick' => 'spider_fc_change_event_content_type("html")',
    ),
    '#name' => 'text_html_content',
  );
  $form['event']['content'] = array(
    '#type' => 'radio',
    '#title' => t('Content'),
    '#title_display' => 'after',
    '#attributes' => array(
      'onclick' => 'spider_fc_change_event_content_type("content")',
    ),
    '#name' => 'text_html_content',
  );
  // Text-html-content div.
  // Text div.
  $form['event']['text_field'] = array(
    '#prefix' => '<div id="spider_fc_div_text_html_content"><div id="spider_fc_text_div">',
    '#type' => 'textarea',
    '#title' => t('Text'),
    '#default_value' => $text_event,
    '#attributes' => array(
      'id' => 'text_field',
      'name' => 'text_field',
    ),
    '#suffix' => '</div>',
  );
  // HTML div.
  $editor_warning = '<div style="position:relative; background-color:#FEF5F1; color:#8C2E0B; border-color:#ED541D; padding:2px; border:1px solid #DD7777;width:95%;">
                      ' . t('To show HTML editor download \'tinymce\' library from') . ' ' . l(t('http://github.com/downloads/tinymce/tinymce/tinymce_3.5.7.zip'), 'http://github.com/downloads/tinymce/tinymce/tinymce_3.5.7.zip') . ' ' . t('and extract it to sites/all/libraries/tinymce directory.') . '
                     </div>';
  $form['event']['html_field'] = array(
    '#prefix' => '<div id="spider_fc_html_div">' . (file_exists("sites/all/libraries/tinymce/jscripts/tiny_mce/tiny_mce.js") ? '' : $editor_warning),
    '#type' => 'textarea',
    '#title' => t('HTML'),
    '#default_value' => $html_event,
    '#attributes' => array(
      'id' => 'html_field',
      'name' => 'html_field',
      'class' => 'spider_fc_editor',
    ),
  );
  $form['event']['html_css_field'] = array(
    '#type' => 'textarea',
    '#title' => t('CSS'),
    '#default_value' => $css_event,
    '#attributes' => array(
      'id' => 'html_css_field',
      'name' => 'html_css_field',
    ),
    '#suffix' => '</div>',
  );
  // Content div.
  $result = db_query(db_rewrite_sql("SELECT n.nid,n.title FROM {node} n ORDER BY n.title"));
  $node_titles_array_id_indexes = array();
  while ($a = db_fetch_array($result)) {
    $node_titles_array_id_indexes[$a['nid']] = $a['title'];
  }
  $node_titles_array_id_indexes[0] = t('-Select content-');
  $form['event']['content_field'] = array(
    '#prefix' => '<div id="spider_fc_content_div">',
    '#type' => 'select',
    '#title' => t('Content'),
    '#default_value' => $content_id,
    '#options' => $node_titles_array_id_indexes,
    '#attributes' => array(
      'id' => 'content_field',
      'name' => 'content_field',
    ),
  );
  $form['event']['content_css_field'] = array(
    '#type' => 'textarea',
    '#title' => t('CSS'),
    '#default_value' => $css_event,
    '#attributes' => array(
      'id' => 'content_css_field',
      'name' => 'content_css_field',
    ),
    '#suffix' => '</div></div>',
  );
  $form['event']['type_event'] = array(
    '#title' => t('Type'),
    '#type' => 'textfield',
    '#size' => 40,
    '#default_value' => $type_event,
  );
  $form['event']['priority_event'] = array(
    '#type' => 'select',
    '#title' => t('Priority'),
    '#size' => '1',
    '#options' => array(
      t('No Priority'),
      t('Low Priority'),
      t('Medium Priority'),
      t('High Priority'),
    ),
    '#default_value' => $priority_event,
  );
  $form['event']['published_event'] = array(
    '#type' => 'radios',
    '#title' => t('Published'),
    '#default_value' => $published_event,
    '#options' => array('1' => t('Yes'), '0' => t('No'),
    ),
  );
  $form['event_save'] = array(
    '#type' => 'submit',
    '#prefix' => '<div style="float:left; bottom:0px; clear:both;">',
    '#value' => t('Save'),
    '#submit' => array('spider_fc_event_save'),
  );
  $form['event_apply'] = array(
    '#type' => 'submit',
    '#value' => t('Apply'),
    '#submit' => array('spider_fc_event_apply'),
  );
  $form['event_cancel'] = array(
    '#type' => 'submit',
    '#value' => t('Cancel'),
    '#attributes' => array('onclick' => 'document.getElementById("edit-event-title").setAttribute("style", "color:rgba(255, 0, 0, 0)");document.getElementById("edit-event-title").setAttribute("value", "cancel");'),
    '#submit' => array('spider_fc_event_cancel'),
    '#suffix' => '</div>',
  );
  // Check if post max size is smaller than this form post.
  $post_max_size_error = error_get_last();
  if ($post_max_size_error) {
    drupal_set_message($post_max_size_error['message'] . t('. Change "post_max_size" in .htaccess file.'), 'error', FALSE);
  }
  return $form;
}

/**
 * Save event.
 */
function spider_fc_event_save($form, &$form_state) {
  if (isset($_GET['cal_id'])) {
    $calendar_id = check_plain($_GET['cal_id']);
  }
  $title_event = $form_state['values']['event_title'];
  $date_start_event = $form_state['values']['event_date_start'];
  $date_end_event = $form_state['values']['event_date_end'];
  $time_event1 = $form_state['values']['event_time_begin_minute'];
  $time_event2 = $form_state['values']['event_time_begin_second'];
  $time_event3 = $form_state['values']['event_time_end_minute'];
  $time_event4 = $form_state['values']['event_time_end_second'];
  if (($time_event1 != '') && ($time_event2 != '')) {
    $time_event = $time_event1 . ':' . $time_event2;
    if (($time_event3 != '') && ($time_event4 != '')) {
      $time_event .= '-' . $time_event3 . ':' . $time_event4;
    }
  }
  else {
    $time_event = '';
  }
  $dir = file_directory_path();
  $upload_event = array();
  if ($_FILES) {
    foreach ($_FILES['files']['name'] as $key => $value) {
      if (drupal_substr($key, 0, 12) == 'image_upload') {
        $image_name = $_FILES['files']['name'][$key];
        $image_size = $_FILES['files']['size'][$key];
        $image_type = $_FILES['files']['type'][$key];
        $validators = array(
           'file_validate_size' => array('jpg jpeg png'),
        );
        $image_file = file_save_upload($key, $validators, $dir);
        if ($image_file) {
          $pos = drupal_strlen($key) - strrpos($key, '_') - 1;
          $index = drupal_substr($key, -$pos);
          $upload_event[$index] = '#*type*##*img*#' . base_path() . 'sites/default/files/' . $image_name;
        }
      }
      elseif (drupal_substr($key, 0, 12) == 'video_upload') {
        $video_name = $_FILES['files']['name'][$key];
        $video_size = $_FILES['files']['size'][$key];
        $video_type = $_FILES['files']['type'][$key];
        $validators = array(
           'file_validate_extensions' => array('flv mp4'),
        );
        $video_file = file_save_upload($key, $validators, $dir);
        if ($video_file) {
          $pos = drupal_strlen($key) - strrpos($key, '_') - 1;
          $index = drupal_substr($key, -$pos);
          $upload_event[$index] = '#*type*##*vidHttp*#' . base_path() . 'sites/default/files/' . $video_name;
        }
      }
    }
  }
  foreach ($_POST as $key => $value) {
    if (drupal_substr($key, 0, 12) == 'videoyoutube') {
      $pos = drupal_strlen($key) - strrpos($key, '_') - 1;
      $index = drupal_substr($key, -$pos);
      $upload_event[$index] = '#*type*##*vidYoutube*#' . $value;
    }
  }
  // Array to string.
  if (!isset($items)) {
    $items = '';
  }
  // Add to files list old uploaded files.
  foreach ($_POST as $key => $value) {
    if (drupal_substr($key, 0, 10) == 'delete_img') {
      $items .= $value;
    }
    elseif (drupal_substr($key, 0, 14) == 'delete_vidHttp') {
      $items .= $value;
    }
    elseif (drupal_substr($key, 0, 17) == 'delete_vidYoutube') {
      $items .= $value;
    }
  }
  // Add to files list new uploaded files.
  foreach ($upload_event as $upload_event_value) {
    $items .= $upload_event_value;
  }
  $text_event = $form_state['values']['text_field'];
  $html_event = $form_state['values']['html_field'];
  $checked = $form_state['values']['checked_hidden_field'];
  if ($checked == 'html') {
    $css_event = $form_state['values']['html_css_field'];
  }
  else {
    $css_event = $form_state['values']['content_css_field'];
  }
  $content_id = $form_state['values']['content_field'];
  $content_html_event = db_result(db_query("SELECT body FROM {node_revisions} WHERE nid='%d'", $content_id));
  $type_event = $form_state['values']['type_event'];
  $priority_event = $form_state['values']['priority_event'];
  $published_event = $form_state['values']['published_event'];

  if (isset($_GET['event_id'])) {
    $event_id = check_plain($_GET['event_id']);
    $calendar = check_plain($_GET['cal_id']);
    db_query("UPDATE {spider_fc_events_table} SET 
      title='%s',
      calendar='%d',
      date_begin='%s',
      date_end='%s',
      event_time_begin='%s',
      text='%s',
      html='%s',
      css='%s',
      contenthtml='%s',
      content_id='%d',
      checked='%s',
      event_type='%s',
      priority='%s',
      published='%d',
      items='%s' WHERE id='%d'", array(
      $title_event,
      $calendar,
      $date_start_event,
      $date_end_event,
      $time_event,
      $text_event,
      $html_event,
      $css_event,
      $content_html_event,
      $content_id,
      $checked,
      $type_event,
      $priority_event,
      $published_event,
      $items,
      $event_id));
    drupal_set_message(t('Your event successfully updated.'), 'status', FALSE);
  }
  else {
    $count = db_result(db_query("SELECT COUNT(*) FROM {spider_fc_events_table}"));
    if ($count >= 3) {
      drupal_set_message(t('To add more than three events, download the full version on') . ' ' . l(t('drupal.org.'), 'http://drupal.org/project/flash-calendar'), 'error', FALSE);
      $form_state['redirect'] = url('admin/settings/spider_fc/calendar/manage_events', array('query' => 'cal_id=' . $calendar_id, 'absolute' => TRUE));
      return;
    }
    $calendar = check_plain($_GET['cal_id']);
    db_query("INSERT INTO {spider_fc_events_table} 
      (calendar,date_begin,date_end,event_time_begin,title,text,html,css,contenthtml,content_id,checked,priority,event_type,items,published)
      VALUES(" . $calendar . ", '" . $date_start_event . "', '" . $date_end_event . "', '" . $time_event . "', '" . $title_event . "', '" . $text_event . "', '" . $html_event . "', '" . $css_event . "', '" . $content_html_event . "', " . $content_id . ", '" . $checked . "', '" . $priority_event . "', '" . $type_event . "', '" . $items . "', " . $published_event . ")");
    drupal_set_message(t('Your event successfully saved.'), 'status', FALSE);
  }
  $form_state['redirect'] = url('admin/settings/spider_fc/calendar/manage_events', array('query' => 'cal_id=' . $calendar_id, 'absolute' => TRUE));
}

/**
 * Apply event.
 */
function spider_fc_event_apply($form, &$form_state) {
  if (isset($_GET['cal_id'])) {
    $calendar_id = check_plain($_GET['cal_id']);
  }
  $title_event = $form_state['values']['event_title'];
  $date_start_event = $form_state['values']['event_date_start'];
  $date_end_event = $form_state['values']['event_date_end'];
  $time_event1 = $form_state['values']['event_time_begin_minute'];
  $time_event2 = $form_state['values']['event_time_begin_second'];
  $time_event3 = $form_state['values']['event_time_end_minute'];
  $time_event4 = $form_state['values']['event_time_end_second'];
  if (($time_event1 != '') && ($time_event2 != '')) {
    $time_event = $time_event1 . ':' . $time_event2;
    if (($time_event3 != '') && ($time_event4 != '')) {
      $time_event .= '-' . $time_event3 . ':' . $time_event4;
    }
  }
  else {
    $time_event = '';
  }
  $dir = file_directory_path();
  $upload_event = array();
  if ($_FILES) {
    foreach ($_FILES['files']['name'] as $key => $value) {
      if (drupal_substr($key, 0, 12) == 'image_upload') {
        $image_name = $_FILES['files']['name'][$key];
        $image_size = $_FILES['files']['size'][$key];
        $image_type = $_FILES['files']['type'][$key];
        $validators = array(
           'file_validate_size' => array('jpg jpeg png'),
        );
        $image_file = file_save_upload($key, $validators, $dir);
        if ($image_file) {
          $pos = drupal_strlen($key) - strrpos($key, '_') - 1;
          $index = drupal_substr($key, -$pos);
          $upload_event[$index] = '#*type*##*img*#' . base_path() . 'sites/default/files/' . $image_name;
        }
      }
      elseif (drupal_substr($key, 0, 12) == 'video_upload') {
        $video_name = $_FILES['files']['name'][$key];
        $video_size = $_FILES['files']['size'][$key];
        $video_type = $_FILES['files']['type'][$key];
        $validators = array(
           'file_validate_extensions' => array('flv mp4'),
        );
        $video_file = file_save_upload($key, $validators, $dir);
        if ($video_file) {
          $pos = drupal_strlen($key) - strrpos($key, '_') - 1;
          $index = drupal_substr($key, -$pos);
          $upload_event[$index] = '#*type*##*vidHttp*#' . base_path() . 'sites/default/files/' . $video_name;
        }
      }
    }
  }
  foreach ($_POST as $key => $value) {
    if (drupal_substr($key, 0, 12) == 'videoyoutube') {
      $pos = drupal_strlen($key) - strrpos($key, '_') - 1;
      $index = drupal_substr($key, -$pos);
      $upload_event[$index] = '#*type*##*vidYoutube*#' . $value;
    }
  }
  // Array to string.
  if (!isset($items)) {
    $items = '';
  }
  // Add to files list old uploaded files.
  foreach ($_POST as $key => $value) {
    if (drupal_substr($key, 0, 10) == 'delete_img') {
      $items .= $value;
    }
    elseif (drupal_substr($key, 0, 14) == 'delete_vidHttp') {
      $items .= $value;
    }
    elseif (drupal_substr($key, 0, 17) == 'delete_vidYoutube') {
      $items .= $value;
    }
  }
  // Add to files list new uploaded files.
  foreach ($upload_event as $upload_event_value) {
    $items .= $upload_event_value;
  }
  $text_event = $form_state['values']['text_field'];
  $html_event = $form_state['values']['html_field'];
  $checked = $form_state['values']['checked_hidden_field'];
  if ($checked == 'html') {
    $css_event = $form_state['values']['html_css_field'];
  }
  else {
    $css_event = $form_state['values']['content_css_field'];
  }
  $content_id = $form_state['values']['content_field'];
  $content_html_event = db_result(db_query("SELECT body FROM {node_revisions} WHERE nid='%d'", $content_id));
  $type_event = $form_state['values']['type_event'];
  $priority_event = $form_state['values']['priority_event'];
  $published_event = $form_state['values']['published_event'];

  if (isset($_GET['event_id'])) {
    $event_id = check_plain($_GET['event_id']);
    $calendar = check_plain($_GET['cal_id']);
    db_query("UPDATE {spider_fc_events_table} SET 
      title='%s',
      calendar='%d',
      date_begin='%s',
      date_end='%s',
      event_time_begin='%s',
      text='%s',
      html='%s',
      css='%s',
      contenthtml='%s',
      content_id='%d',
      checked='%s',
      event_type='%s',
      priority='%s',
      published='%d',
      items='%s' WHERE id='%d'", array(
      $title_event,
      $calendar,
      $date_start_event,
      $date_end_event,
      $time_event,
      $text_event,
      $html_event,
      $css_event,
      $content_html_event,
      $content_id,
      $checked,
      $type_event,
      $priority_event,
      $published_event,
      $items,
      $event_id));
    drupal_set_message(t('Your event successfully updated.'), 'status', FALSE);
  }
  else {
    $count = db_result(db_query("SELECT COUNT(*) FROM {spider_fc_events_table}"));
    if ($count >= 3) {
      drupal_set_message(t('To add more than three events, download the full version on') . ' ' . l(t('drupal.org.'), 'http://drupal.org/project/flash-calendar'), 'error', FALSE);
      $form_state['redirect'] = url('admin/settings/spider_fc/calendar/manage_events', array('query' => 'cal_id=' . $calendar_id, 'absolute' => TRUE));
      return;
    }
    $calendar = check_plain($_GET['cal_id']);
    db_query("INSERT INTO {spider_fc_events_table} 
      (calendar,date_begin,date_end,event_time_begin,title,text,html,css,contenthtml,content_id,checked,priority,event_type,items,published)
      VALUES(" . $calendar . ", '" . $date_start_event . "', '" . $date_end_event . "', '" . $time_event . "', '" . $title_event . "', '" . $text_event . "', '" . $html_event . "', '" . $css_event . "', '" . $content_html_event . "', " . $content_id . ", '" . $checked . "', '" . $priority_event . "', '" . $type_event . "', '" . $items . "', " . $published_event . ")");
    $event_id = db_result(db_query("SELECT MAX(id) FROM {spider_fc_events_table}"));
    drupal_set_message(t('Your event successfully saved.'), 'status', FALSE);
  }
  $form_state['redirect'] = url('admin/settings/spider_fc/calendar/manage_events/new', array('query' => 'cal_id=' . $calendar_id . '&event_id=' . $event_id, 'absolute' => TRUE));
}

/**
 * Cancel event save.
 */
function spider_fc_event_cancel($form, &$form_state) {
  if (isset($_GET['cal_id'])) {
    $cal_id = check_plain($_GET['cal_id']);
  }
  $form_state['redirect'] = url('admin/settings/spider_fc/calendar/manage_events', array('query' => 'cal_id=' . $cal_id, 'absolute' => TRUE));
}
