package view {
	import model.Container;

	import flash.display.Sprite;
	import flash.events.Event;

	/**
	 * @author Robert Soghbatyan (robert.sogbatyan@gmail.com)
	 */
	public class ContainerView {
		////////////////////////////////////////////////////////////////////////////////////////
		// Events                                                                             //
		////////////////////////////////////////////////////////////////////////////////////////
		////////////////////////////////////////////////////////////////////////////////////////
		// Constants                                                                          //
		////////////////////////////////////////////////////////////////////////////////////////
		////////////////////////////////////////////////////////////////////////////////////////
		// Variables                                                                          //
		////////////////////////////////////////////////////////////////////////////////////////
		protected var _controller : Controller;
		protected var _model : Container;
		protected var _sprite : Sprite;
		
		
		////////////////////////////////////////////////////////////////////////////////////////
		// Constructor                                                                        //
		////////////////////////////////////////////////////////////////////////////////////////
		public function ContainerView(model : Container) : void {
			_controller = Controller.getInstance();
			_model = model;
			_sprite = new Sprite();
			
			_model.addEventListener(Container.UPDATE_RECT, updateRectHandler);
			_model.addEventListener(Container.UPDATE_ALPHA, updateAlphaHandler);
		}

		
		////////////////////////////////////////////////////////////////////////////////////////
		// Public Methods                                                                     //
		////////////////////////////////////////////////////////////////////////////////////////
		////////////////////////////////////////////////////////////////////////////////////////
		// Getters & Setters                                                                  //
		////////////////////////////////////////////////////////////////////////////////////////
		public function get sprite() : Sprite {
			return _sprite;
		}
		
		
		////////////////////////////////////////////////////////////////////////////////////////
		// Private Methods                                                                    //
		////////////////////////////////////////////////////////////////////////////////////////
		protected function updateRect() : void {
			_sprite.x = _model.x;
			_sprite.y = _model.y;
		}
		
		protected function updateAlpha() : void {
			_sprite.alpha = _model.alpha;
		}

		
		////////////////////////////////////////////////////////////////////////////////////////
		// Listeners                                                                          //
		////////////////////////////////////////////////////////////////////////////////////////
		private function updateRectHandler(event : Event) : void {
			updateRect();
		}
		
		private function updateAlphaHandler(event : Event) : void {
			updateAlpha();
		}
	}
}
